[arch-commits] Commit in (5 files)

Allan McRae allan at archlinux.org
Thu Nov 12 22:10:53 EST 2009


    Date: Thursday, November 12, 2009 @ 22:10:53
  Author: allan
Revision: 58728

add libmpc, needed for future gcc-4.5 release

Added:
  libmpc/
  libmpc/repos/
  libmpc/trunk/
  libmpc/trunk/PKGBUILD
  libmpc/trunk/libmpc.install

----------------+
 PKGBUILD       |   26 ++++++++++++++++++++++++++
 libmpc.install |   20 ++++++++++++++++++++
 2 files changed, 46 insertions(+)

Added: libmpc/trunk/PKGBUILD
===================================================================
--- libmpc/trunk/PKGBUILD	                        (rev 0)
+++ libmpc/trunk/PKGBUILD	2009-11-13 03:10:53 UTC (rev 58728)
@@ -0,0 +1,26 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+pkgname=libmpc
+pkgver=0.8
+pkgrel=1
+pkgdesc="Library for the arithmetic of complex numbers with arbitrarily high precision"
+arch=('i686' 'x86_64')
+url="http://www.multiprecision.org"
+license=('LGPL')
+depends=('mpfr')
+options=('!libtool')
+install=libmpc.install
+source=(http://www.multiprecision.org/mpc/download/mpc-${pkgver/_/-}.tar.gz)
+md5sums=('4df67a05d0251a3fcdd956390e9bd59f')
+
+build() {
+  cd $srcdir/mpc-${pkgver/_/-}
+  ./configure --prefix=/usr
+  make || return 1
+  make DESTDIR=$pkgdir/ install
+  
+  make check
+  
+  mv -f $pkgdir/usr/share/info/{mpc,libmpc}.info
+}


Property changes on: libmpc/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: libmpc/trunk/libmpc.install
===================================================================
--- libmpc/trunk/libmpc.install	                        (rev 0)
+++ libmpc/trunk/libmpc.install	2009-11-13 03:10:53 UTC (rev 58728)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(libmpc.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list